# xmlGetNsByHref

Get a namespace by its href

## Calling Sequence

                ns = xmlGetNsByHref(elem, href)

## Arguments

elem

  a mlist typed XMLElem

href

  a string giving the href

ns

  a mlist typed XMLNs

## Description

Search a namespace with the given href on the element or on its ancestors.

## Examples

        s = "<root><a xmlns:scilab=""http://www.scilab.org"">"+..
            "<b>Hello </b><scilab:c>World</scilab:c></a></root>"
        doc = xmlReadStr(s)
        c = doc.root.children(1).children(2);
        xmlGetNsByHref(c, "http://www.scilab.org")

        xmlDelete(doc);

## See Also

- xmlNs
- xmlGetNsByPrefix

## History

5.4.0
XML module introduced.